Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class CopyOperation.CopyParentsCopier

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>
              org.eclipse.emf.ecore.util.EcoreUtil.Copier
                  org.eclipse.gmf.runtime.emf.clipboard.core.CopyOperation.CopyParentsCopier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>

Enclosing class:
  CopyOperation

    protected class CopyOperation.CopyParentsCopier

extends org.eclipse.emf.ecore.util.EcoreUtil.Copier

Since:
  1.3
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.Copier
`resolveProxies, useOriginalReferences`

Constructor Summary
`protected` `CopyOperation.CopyParentsCopier()`

Method Summary
`org.eclipse.emf.ecore.EObject` `copy(org.eclipse.emf.ecore.EObject eObject)`
`protected void` `copyAttribute(org.eclipse.emf.ecore.EAttribute eAttribute, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EObject copiedEObject)`
`protected void` `copyContainment(org.eclipse.emf.ecore.EReference eReference, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EObject copiedEObject)`
`protected void` `copyReference(org.eclipse.emf.ecore.EReference eReference, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EObject copiedEObject)`
`java.util.Map` `getCopy2ObjectMap()`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.Copier
`copyAll, copyProxyURI, copyReferences, createCopy, getTarget, getTarget`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### CopyOperation.CopyParentsCopier

    protected CopyOperation.CopyParentsCopier()

Method Detail

### copy

    public org.eclipse.emf.ecore.EObject copy(org.eclipse.emf.ecore.EObject eObject)

  Overrides:
    `copy` in class `org.eclipse.emf.ecore.util.EcoreUtil.Copier`

### getCopy2ObjectMap

    public java.util.Map getCopy2ObjectMap()

### copyAttribute

    protected void copyAttribute(org.eclipse.emf.ecore.EAttribute eAttribute,
                                 org.eclipse.emf.ecore.EObject eObject,
                                 org.eclipse.emf.ecore.EObject copiedEObject)

  Overrides:
    `copyAttribute` in class `org.eclipse.emf.ecore.util.EcoreUtil.Copier`

### copyContainment

    protected void copyContainment(org.eclipse.emf.ecore.EReference eReference,
                                   org.eclipse.emf.ecore.EObject eObject,
                                   org.eclipse.emf.ecore.EObject copiedEObject)

  Overrides:
    `copyContainment` in class `org.eclipse.emf.ecore.util.EcoreUtil.Copier`

### copyReference

    protected void copyReference(org.eclipse.emf.ecore.EReference eReference,
                                 org.eclipse.emf.ecore.EObject eObject,
                                 org.eclipse.emf.ecore.EObject copiedEObject)

  Overrides:
    `copyReference` in class `org.eclipse.emf.ecore.util.EcoreUtil.Copier`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.